Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 822881 - Review Request: perl-Task-Kensho-Exceptions - A Glimpse at an Enlightened Perl (Exceptions)
Summary: Review Request: perl-Task-Kensho-Exceptions - A Glimpse at an Enlightened Per...
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Petr Pisar
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 822585
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-05-18 11:45 UTC by Jitka Plesnikova
Modified: 2012-05-24 06:30 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-05-24 06:30:09 UTC
ppisar: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Jitka Plesnikova 2012-05-18 11:45:43 UTC
Spec URL: http://jplesnik.fedorapeople.org/perl-Task-Kensho-Exceptions.spec
SRPM URL: http://jplesnik.fedorapeople.org/perl-Task-Kensho-Exceptions-0.28-1.fc18.src.rpm
Description: Task::Kensho is a first cut at building a list of recommended modules for Enlightened Perl development. This Task installs the modules for an
exception handling.

Comment 1 Petr Pisar 2012-05-22 15:54:59 UTC
Source file is original. Ok.
URL and Source0 are usable. Ok.
Summary verified from lib/Task/Kensho/Exceptions.pm. Ok.
License verified from lib/Task/Kensho/Exceptions.pm. Ok.
No XS code, noarch BuildArch is Ok.
Description is Ok.

Although this is dependency only meta package, run-requires are needed to pass build-time checks. Ok.

TODO: I'm not sure how much helpful is MYMETA.yml file. It contains building instructions and data available form already installed POD. I recommend not to install it.

All tests pass. Ok.

$ rpmlint  perl-Task-Kensho-Exceptions.spec ../SRPMS/perl-Task-Kensho-Exceptions-0.28-1.fc18.src.rpm ../RPMS/noarch/perl-Task-Kensho-Exceptions-0.28-1.fc18.noarch.rpm 
2 packages and 1 specfiles checked; 0 errors, 0 warnings.
rpmlint is Ok.

$ rpm -q -lv -p  ../RPMS/noarch/perl-Task-Kensho-Exceptions-0.28-1.fc18.noarch.rpm 
drwxr-xr-x    2 root    root                        0 May 22 17:48 /usr/share/doc/perl-Task-Kensho-Exceptions-0.28
-rw-r--r--    1 root    root                     3252 Mar 26  2011 /usr/share/doc/perl-Task-Kensho-Exceptions-0.28/Changes
-rw-r--r--    1 root    root                      613 May 22 17:48 /usr/share/doc/perl-Task-Kensho-Exceptions-0.28/MYMETA.yml
-rw-r--r--    1 root    root                     1485 Jan 20  2011 /usr/share/doc/perl-Task-Kensho-Exceptions-0.28/README
-rw-r--r--    1 root    root                     3361 May 22 17:48 /usr/share/man/man3/Task::Kensho::Exceptions.3pm.gz
drwxr-xr-x    2 root    root                        0 May 22 17:48 /usr/share/perl5/vendor_perl/Task
drwxr-xr-x    2 root    root                        0 May 22 17:48 /usr/share/perl5/vendor_perl/Task/Kensho
-rw-r--r--    1 root    root                     3295 Mar 26  2011 /usr/share/perl5/vendor_perl/Task/Kensho/Exceptions.pm
File permissions and layout are Ok.

$ rpm -q --requires -p  ../RPMS/noarch/perl-Task-Kensho-Exceptions-0.28-1.fc18.noarch.rpm |sort |uniq -c
      1 perl(autodie)
      1 perl(:MODULE_COMPAT_5.14.2)
      1 perl(strict)
      1 perl(TryCatch)
      1 perl(Try::Tiny)
      1 rpmlib(CompressedFileNames) <= 3.0.4-1
      1 rpmlib(FileDigests) <= 4.6.0-1
      1 rpmlib(PayloadFilesHavePrefix) <= 4.0-1
      1 rpmlib(PayloadIsXz) <= 5.2-1
Binary requires are Ok.

$ rpm -q --provides  -p  ../RPMS/noarch/perl-Task-Kensho-Exceptions-0.28-1.fc18.noarch.rpm |sort |uniq -c
      1 perl(Task::Kensho::Exceptions) = 0.28
      1 perl-Task-Kensho-Exceptions = 0.28-1.fc18
Binary provides are Ok.

$ resolvedeps rawhide  ../RPMS/noarch/perl-Task-Kensho-Exceptions-0.28-1.fc18.noarch.rpm 
Binary dependencies resolvable. Ok.

Package builds in F18 (http://koji.fedoraproject.org/koji/taskinfo?taskID=4094843). Ok.

Package is line with Fedora and Perl packaging guidelines.


Please consider fixing the TODO items before building this package.

Resolution: Package APPROVED.

Comment 2 Jitka Plesnikova 2012-05-23 06:16:10 UTC
New Package SCM Request
=======================
Package Name: perl-Task-Kensho-Exceptions
Short Description: A Glimpse at an Enlightened Perl (Exceptions)
Owners: jplesnik mmaslano ppisar psabata
Branches:
InitialCC: perl-sig

Comment 3 Gwyn Ciesla 2012-05-23 13:02:02 UTC
Git done (by process-git-requests).

Comment 4 Jitka Plesnikova 2012-05-24 06:30:09 UTC
Thank you for the review and the repository.


Note You need to log in before you can comment on or make changes to this bug.